import request from '@/utils/request'

export function realTimeData(query) {
    return request({
        url: '/ems/board/realTimeData', method: 'get', params: query
    })
}

export function deviceOverview(query) {
    return request({
        url: '/ems/board/deviceOverview', method: 'get', params: query
    })
}

export function monthConsumptionRanking(query) {
    return request({
        url: '/ems/board/monthConsumptionRanking', method: 'get', params: query
    })
}

export function peaksValleysConsumption(query) {
    return request({
        url: '/ems/board/peaksValleysConsumption', method: 'get', params: query
    })
}

export function fiveConsumptionStatistics(query) {
    return request({
        url: '/ems/board/fiveConsumptionStatistics', method: 'get', params: query
    })
}

export function energyConsumptionStatistics(query) {
    return request({
        url: '/ems/board/energyConsumptionStatistics', method: 'get', params: query
    })
}

export function realTimeAlarm(query) {
    return request({
        url: '/ems/board/realTimeAlarm', method: 'get', params: query
    })
}